[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#589213: Do not install Exim in minimal system

On Saturday 17 July 2010, Petter Reinholdtsen wrote:
> I eagerly await Bills view on the proposed change for
> popularity-contest, which I believe i a better place to implement the
> change.

No, it is not reasonable to ask packages to change functionally correct and 
policy-compliant dependencies only because of D-I [1].
popcon falls back to mail if the HTTP method fails, which does happen 
occasionally. Therefore a Recommends of an MTA is reasonable.

Why do you feel the need to second-guess me on this?
I spent several days analyzing the whole issue of Recommends and making 
various changes to deal with minor issues that arose from it. All changes 
where posted for review and discussed on the d-boot list. popcon is not 
the only package that needed an exception, so the --no-recommends option 
is needed anyway. Using it for popcon is a perfectly acceptable solution.

So: as the reported issue is already fixed in current daily built D-I 
images and as the Recommends in popcon is functionally correct, there is 
absolutely zero need to make any changes in popcon.

[1] The issue in D-I is mainly one of ordering: we install popcon before 
running tasksel and installing prio standard packages. The fact that we 
uninstall popcon if a user chooses not to participate is another weirdness 
in D-I which should not be reason to make any changes in the package.

Reply to: